<?php
defined('ABSPATH') or die('No direct access');
$user = wp_get_current_user();
$table = new CWPlayersTable();
$table->register();
$table->prepare_items();
$table->printNotes();
echo '<div class="wrap">' . PHP_EOL;
echo '<h1 class="wp-heading-inline">' . __('Players', CWSLUG) . '</h1>' . PHP_EOL;
echo '<hr class="wp-header-end">' . PHP_EOL;
// $table->views();
echo '<form id="cw-list-form" method="get">' . PHP_EOL;
echo '<input id="page" type="hidden" name="page" value="cw_' . $table->tablename . '_list"/>' . PHP_EOL;
echo '<input id="table" type="hidden" name="table" value="' . $table->tablename . '"/>' . PHP_EOL;
$table->search_box(__('Search'), 'cw_players');
$table->display();
echo '</form>' . PHP_EOL;
echo '</div>' . PHP_EOL;
if (!empty($user) && in_array('administrator', $user->roles)) {
	echo '<br/><br/>' . __("Delete all rows of the table.", CWSLUG);
	echo '<div class="wrap">' . PHP_EOL;
	if ($table->has_items()) {
		echo '<div class="cw-div-spacer"><input id="cw_action_truncate" type="button" class="button apply" style="color:red;border-color:red;" name="cw_action_truncate" value="' . esc_html(__('Clear Table', CWSLUG)) . '"/></div>';
	}
	echo '<div class="cw-div-spacer"><input id="cw_action_recreate" type="button" class="button apply" style="color:red;border-color:red;" name="cw_action_recreate" value="' . esc_html(__('Recreate Table', CWSLUG)) . '"/></div>';
	echo '</div>' . PHP_EOL;
}
