<?php
defined('ABSPATH') or die('No direct access');
if ($tables = $this->tables) :
?>
   <!-- Cash Game Tables -->
   <div class="cw-row cw-mt-5">
      <div class="cw-col">
         <h4 class="cw-text-center">Tables</h4>
         <table class="cw-table-list cw-mx-auto cw-w-max-600px">
            <thead>
               <tr class="cw-tr">
                  <th class="cw-th" style="width:20%;">Seat</th>
                  <th class="cw-th">Name</th>
               </tr>
            </thead>
            <tbody>
               <?php
               foreach ($tables as $table) {
                  $name = $this->valueForKey($table, 'name', 'Table');
                  echo "<tr class=\"cw-tr\"><td class=\"cw-td cw-text-center cw-bg-table cw-color-dark\" colspan=\"3\"><strong>{$name}</strong></td></tr>" . PHP_EOL;
                  foreach ($table['seats'] as $seat) {
                     $dname = $this->formattedSeatValue('dname', $seat);
                     $seatno = $this->formattedSeatValue('SENO', $seat);
                     $ensign = $this->formattedSeatValue('ensign', $seat);
                     echo "<tr class=\"cw-tr\"><td class=\"cw-td cw-text-center\">{$seatno}</td><td class=\"cw-td\"><div style=\"display:flex;\">{$ensign}{$dname}</div></td></tr>" . PHP_EOL;
                  }
               }
               ?>
            </tbody>
         </table>
      </div>
   </div>
   <!-- Cash Game Tables End -->
<?php endif; ?>