<?php
defined('ABSPATH') or die('No direct access');
$options = get_option("cw_options_{$this->game}_{$this->figure}");
$option_wrapper = $this->valueForKey($options, 'wrapper');
if (($option_hide = $this->valueForKey($attr, 'hide')) === null) {
	$option_hide = $this->valueForKey($options, 'hide', 0);
}
$list = $this->loadData($attr); // $attr are attributes from shortcode or widget
if ($option_hide && empty($list)) return;
if (($option_card = $this->valueForKey($attr, 'card')) === null) {
	$option_card = $this->valueForKey($options, 'card', 0);
}
$option_pulldown = $this->valueForKey($options, 'pulldown');
$option_accordion = $this->valueForKey($option_pulldown, 'accordion', 0);
// Title and footer
if (($title = $this->valueForKey($attr, 'title')) === null) {
	$title = $this->valueForKey($options, 'card_title', "");
}
if (($footer = $this->valueForKey($attr, 'footer')) === null) {
	$footer = $this->valueForKey($options, 'card_footer', "");
}
// Start table rendering
if ($option_wrapper) echo "<div class=\"cw-wrapper\" style=\"max-width:none;\">" . PHP_EOL;
?>
<div class="cw-container">
	<?php if ($option_card) : ?>
		<div class="cw-card">
			<?php if (!empty($title)) : ?>
				<div class="cw-card-header">
					<div class="cw-col cw-text-center">
						<h1 class="cw-game-title"><?= $title; ?></h1>
					</div>
				</div>
			<?php endif; ?>
			<div class="cw-card-body">
				<?php include CWPATH . "templates/game-list-body.php"; ?>
			</div>
			<div class="cw-card-footer">
				<div class="cw-row">
					<div class="cw-col cw-powered"><?= $footer; ?></div>
					<div class="cw-col cw-powered cw-text-end">
						<a href="https://casinoware.com" target="_blank" style="color:#212529;">powered by CasinoWare.com</a>
					</div>
				</div>
			</div>
		</div>
	<?php else : ?>
		<?php if (!empty($title)) : ?>
		<div class="cw-text-center">
			<h1 class="cw-game-title"><?= $title ?: ""; ?></h1>
		</div>
		<?php endif; ?>
		<?php include CWPATH . "templates/game-list-body.php"; ?>
		<div class="cw-text-center cw-powered"><?= $footer; ?></div>
		<div class="cw-text-center cw-powered cw-mt-2">
			<a href="https://casinoware.com" target="_blank">powered by CasinoWare.com</a>
		</div>
	<?php endif; ?>
</div>
<?php
if ($option_accordion) echo "<div id=\"cw_accordion_{$this->id}\"></div>" . PHP_EOL;
if ($option_wrapper) echo "</div>" . PHP_EOL;
?>