<?php defined('ABSPATH') or die('No direct access'); ?>
<div class="wrap">
	<h1>CasinoWare &rsaquo; API-<?php _e('Settings', CWSLUG); ?></h1>
	<?php settings_errors(); ?>

	<ul class="nav nav-tabs">
		<li id="tab-1" class="active"><a href="#tab-1"><?php esc_html_e("Credentials", CWSLUG); ?></a></li>
	</ul>

	<div class="tab-content">
		<div id="tab-1" class="tab-pane active">
			<form action="options.php" method="post">
				<?php
				do_settings_sections('cw_options_api');
				settings_fields('cw_options_api');
				submit_button();
				?>
			</form>
			<?php
			$t = get_rest_url(null, 'casinoware/v1/rest-api');
			echo "<p>" . esc_html__("URL (Get Request) for CasinoWare", CWSLUG) . ":<br>{$t}</p>";
			?>
		</div>
	</div>
</div>