<?php
defined('ABSPATH') or die('No direct access');
$costspb0 = $this->valueForKey($options, 'costspb0', 0);
$prizepool0 = $this->valueForKey($options, 'prizepool0', 0);
?>
<!-- Row 1 -->
<div class="cw-row cw-clock-row">
	<div class="cw-col-12 cw-mt-2">
		<div class="cw-clock-element cw-clock-field">
			<div class="cw-clock-grid-cell">
				<div class="cw-clock-label">Date & Time</div>
				<div class="cw-clock-value-side" id="cw_clock_start_date_time_local"><?= $this->formattedParamValue('start_date_time_local'); ?></div>
			</div>
		</div>
	</div>
</div>
<!-- Row 2 -->
<div class="cw-row cw-clock-row">
	<div class="cw-col-12 cw-col-md-3 cw-mt-2">
		<div class="cw-clock-element cw-clock-field">
			<div class="cw-clock-grid-cell">
				<div class="cw-clock-label">Game</div>
				<div class="cw-clock-value-side" id="cw_clock_shortlimitgame"><?= $this->formattedParamValue('shortlimitgame'); ?></div>
			</div>
		</div>
	</div>
	<div class="cw-col-12 cw-col-md-6 cw-mt-2">
		<?php if ($costspb0) : ?>
			<div class="cw-clock-element cw-clock-field">
				<div class="cw-clock-grid-cell">
					<div class="cw-clock-label">Buy-In & Fee</div>
					<div class="cw-clock-value-side" id="cw_clock_buyin"><?= $this->formattedParamValue('totalpb0'); ?></div>
				</div>
			</div>
		<?php endif; ?>
	</div>
	<div class="cw-col-12 cw-col-md-3 cw-mt-2">
		<div class="cw-clock-element cw-clock-field">
			<div class="cw-clock-grid-cell">
				<div class="cw-clock-label">Start Chips</div>
				<div class="cw-clock-value-side" id="cw_clock_startchips"><?= $this->formattedParamValue('startchips'); ?></div>
			</div>
		</div>
	</div>
</div>
<!-- Row 3 -->
<div class="cw-row cw-clock-row">
	<div class="cw-col-12 cw-col-md-3 cw-mt-2">
		<div class="cw-clock-element cw-clock-field">
			<div class="cw-clock-grid-cell">
				<div class="cw-clock-label">Total Entries</div>
				<div class="cw-clock-value-side" id="cw_clock_playersentries"><?= $this->formattedParamValue('totalens'); ?></div>
			</div>
		</div>
	</div>
	<div class="cw-col-12 cw-col-md-6 cw-mt-2">
		<div class="cw-clock-element cw-clock-field">
			<div class=" cw-clock-grid-cell">
				<div class="cw-clock-label">Total Time</div>
				<div class="cw-clock-value-side"><?= $this->formattedParamValue('total_time'); ?></div>
			</div>
		</div>
	</div>
	<div class="cw-col-12 cw-col-md-3 cw-mt-2">
		<div class="cw-clock-element cw-clock-field">
			<div class="cw-clock-grid-cell">
				<?php if ($prizepool0) : ?>
					<div class="cw-clock-label">Prize Pool</div>
					<div class="cw-clock-value-side" id="cw_clock_prizepool"><?= $this->formattedParamValue('prizepool0'); ?></div>
				<?php else : ?>
					<div class="cw-clock-label">Last Level</div>
					<div class="cw-clock-value-side"><?= $this->formattedParamValue('level'); ?></div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>
<!-- Row 4 -->
<div class="cw-row cw-clock-row">
	<?php if ($this->paramValue('allowrbs', 0)) : ?>
		<div class="cw-col-12 cw-col-md-3 cw-mt-2">
			<div class="cw-clock-element cw-clock-field">
				<div class="cw-clock-grid-cell">
					<div class="cw-clock-label">Re-Buys</div>
					<div class="cw-clock-value-side" id="cw_clock_rebuys"><?= $this->formattedParamValue('countrbs'); ?></div>
				</div>
			</div>
		</div>
	<?php else : ?>
		<div class="cw-col-12 cw-col-md-3"></div>
	<?php endif; ?>
	<?php if ($this->paramValue('allowlls', 0)) : ?>
		<div class="cw-col-12 cw-col-md-6 cw-mt-2">
			<div class="cw-col-12 cw-col-md-4 cw-mt-2">
				<div class="cw-clock-element cw-clock-field">
					<div class="cw-clock-grid-cell">
						<div class="cw-clock-label">Last-Longer</div>
						<div class="cw-clock-value-side" id="cw_clock_remainlastlonger"><?= $this->formattedParamValue('remaincountlls'); ?></div>
					</div>
				</div>
			</div>
		</div>
	<?php else : ?>
		<div class="cw-col-12 cw-col-md-6"></div>
	<?php endif; ?>
	<?php if ($this->paramValue('allowaos', 0)) : ?>
		<div class="cw-col-12 cw-col-md-3 cw-mt-2">
			<div class="cw-clock-element cw-clock-field">
				<div class="cw-clock-grid-cell">
					<div class="cw-clock-label">Add-Ons</div>
					<div class="cw-clock-value-side" id="cw_clock_addons"><?= $this->formattedParamValue('countaos'); ?></div>
				</div>
			</div>
		</div>
	<?php else : ?>
		<div class="cw-col-12 cw-col-md-3"></div>
	<?php endif; ?>
</div>