<?php
defined('ABSPATH') or die('No direct access');
$show = $this->paramValue('showpayouts');
$payoutstructs = $this->payouts;
if (empty($show) || empty($payoutstructs)) {
   return;
}
$activePayouts = null;
$activePayoutstruct = null;
$totalEntries = $this->paramValue('totalens');
foreach ($payoutstructs as $payoutstruct) {
   if ($payoutstruct['startentries'] > $totalEntries) {
      break;
   } else {
      $activePayoutstruct = $payoutstruct;
   }
}
if (empty($activePayoutstruct['pos'])) {
   return;
}
$list = $activePayoutstruct['pos']
?>
<!-- Tournament Payouts -->
<div class="cw-row cw-mt-5">
   <div class="cw-col">
      <h4 class="cw-text-center"><?php echo __('Payout Structure', CWSLUG); ?></h4>
      <table class="cw-table-list cw-mx-auto cw-w-max-400px">
         <thead>
            <tr class="cw-tr">
               <th class="cw-th" style="width:40px;">Place</th>
               <th class="cw-th">Payout</th>
            </tr>
         </thead>
         <tbody>
            <?php
            foreach ($list as $pos) {
               if (isset($pos['pvs'][0])) {
                  $v = $this->formattedPayoutValue('value', $pos['pvs'][0]);
                  echo "<tr class=\"cw-tr\"><td class=\"cw-td cw-text-center\">{$pos['place']}</td><td class=\"cw-td cw-text-end\">{$v}</td></tr>" . PHP_EOL;
               }
            }
            ?>
         </tbody>
      </table>
   </div>
</div>
<!-- Tournament Tables End -->