<?php
defined('ABSPATH') or die('No direct access');

class CWBase
{
	use CWFoundationTrait;

	public $template;
	public $idfield;

	protected $ID;
	protected $LCID;
	public $modified_utc = null;

	public function __construct($template, $idfield, $data)
	{
		$this->template = $template;
		$this->idfield = $idfield;
		$this->setData($data);
	}

	/* ---------------------------------------------- */
	/* Override
	/* ---------------------------------------------- */
	public function setData($data)
	{
	}

	public function loadData($attr)
	{
	}

	/* ---------------------------------------------- */
	/* Memebers
	/* ---------------------------------------------- */
	public function id()
	{
		return (int)$this->ID;
	}

	public function lcid()
	{
		return $this->LCID;
	}
}
