<?php
defined('ABSPATH') or die('No direct access');
if ($entries = $this->entries) :
?>
   <!-- Cash Game Entries -->
   <div class="cw-row cw-pt-5">
      <div class="cw-col">
         <h4 class="cw-text-center">Players</h4>
         <table class="cw-table-list cw-mx-auto cw-w-max-600px">
            <thead>
               <tr class="cw-tr">
                  <th class="cw-th">Name</th>
                  <th class="cw-th" style="width:20%;">Table / Seat</th>
               </tr>
            </thead>
            <tbody>
               <?php
               usort($entries, function ($entry1, $entry2) {
                  $c = ($entry1['dname'] <=> $entry2['dname']);
                  return $c;
               });
               foreach ($entries as $entry) {
                  $dname = $this->formattedEntryValue('dname', $entry);
                  $tableseat = $this->formattedEntryValue('tableseat', $entry);
                  $ensign = $this->formattedSeatValue('ensign', $entry);
                  echo "<tr class=\"cw-tr\"><td class=\"cw-td\"><div style=\"display:flex;\">{$ensign}{$dname}</div></td><td class=\"cw-td cw-text-center\">{$tableseat}</td></tr>" . PHP_EOL;
               }
               ?>
            </tbody>
         </table>
      </div>
   </div>
   <!-- Cash Game Entries End -->
<?php endif; ?>