<?php
defined('ABSPATH') or die('No direct access');
if ($waits = $this->waits) :
?>
   <!-- Waiting List -->
   <div class="cw-row cw-pt-5">
      <div class="cw-col">
        <h4 class="cw-text-center">Waiting</h4>
         <table class="cw-table-list cw-mx-auto cw-w-max-600px">
            <thead>
               <tr class="cw-tr">
                  <th class="cw-th" style="width:10%;">#</th>
                  <th class="cw-th">Name</th>
                  <th class="cw-th" style="width:20%;">Call</th>
               </tr>
            </thead>
            <tbody>
               <?php
               // usort($waits, function ($entry1, $entry2) {
               //    $c = ((int)$entry1['alternate'] <=> (int)$entry2['alternate']);
               //    return $c;
               // });
               $pos = 1;
               foreach ($waits as $entry) {
                  $dname = $this->formattedEntryValue('dname', $entry);
                  // $alternate = $this->formattedEntryValue('alternate', $entry);
                  $page = empty($this->formattedEntryValue('page', $entry)) ? "" : "<div class=\"cw-badge cw-rounded-pill cw-bg-call\">CALL</div>";
                  $ensign = $this->formattedSeatValue('ensign', $entry);
                  echo "<tr class=\"cw-tr\"><td class=\"cw-td cw-text-center\">{$pos}</td><td class=\"cw-td\"><div style=\"display:flex;\">{$ensign}{$dname}</div></td><td class=\"cw-td cw-text-center\">{$page}</td></tr>" . PHP_EOL;
                  $pos++;
               }
               ?>
            </tbody>
         </table>
      </div>
   </div>
   <!-- Waiting List End -->
<?php endif; ?>