<?php defined('ABSPATH') or die('No direct access'); ?>
<div class="wrap">
	<h1>CasinoWare &rsaquo; <?php echo __('Tournaments', CWSLUG) . ' ' . __('Settings', CWSLUG); ?></h1>
	<?php settings_errors(); ?>

	<ul class="nav nav-tabs">
		<li id="tab-1" class="active"><a href="#tab-1"><?php esc_html_e("Schedule", CWSLUG); ?></a></li>
		<li id="tab-2"><a href="#tab-2"><?php esc_html_e("List", CWSLUG); ?></a></li>
		<li id="tab-3"><a href="#tab-3"><?php esc_html_e("Results", CWSLUG); ?></a></li>
		<li id="tab-4"><a href="#tab-4"><?php esc_html_e("Single", CWSLUG); ?></a></li>
	</ul>
	<div class="tab-content">
		<div id="tab-1" class="tab-pane active">
			<form action="options.php" method="post">
				<?php
				do_settings_sections('cw_options_tournament_schedule');
				settings_fields('cw_options_tournament_schedule');
				submit_button();
				?>
			</form>
		</div>
		<div id="tab-2" class="tab-pane">
			<form action="options.php" method="post">
				<?php
				do_settings_sections('cw_options_tournament_list');
				settings_fields('cw_options_tournament_list');
				submit_button();
				?>
			</form>
		</div>
		<div id="tab-3" class="tab-pane">
			<form action="options.php" method="post">
				<?php
				do_settings_sections('cw_options_tournament_results');
				settings_fields('cw_options_tournament_results');
				submit_button();
				?>
			</form>
		</div>
		<div id="tab-4" class="tab-pane">
			<form action="options.php" method="post">
				<?php
				do_settings_sections('cw_options_tournament_details');
				settings_fields('cw_options_tournament_details');
				submit_button();
				?>
			</form>
		</div>
	</div>
</div>