<?php
defined('ABSPATH') or die('No direct access');
$options = get_option('cw_options_tournament_details');
$option_wrapper = $this->valueForKey($options, 'wrapper');
if (($option_card = $this->valueForKey($attr, 'card')) === null) {
	$option_card = $this->valueForKey($options, 'card', 0);
}
if (($option_levels = $this->valueForKey($attr, 'levels')) === null) {
	$option_levels = $this->valueForKey($options, 'levels', 0);
}
if (($option_payouts = $this->valueForKey($attr, 'payouts')) === null) {
	$option_payouts = $this->valueForKey($options, 'payouts', 0);
}
if (($option_entries = $this->valueForKey($attr, 'entries')) === null) {
	$option_entries = $this->valueForKey($options, 'entries', 0);
}
if (($option_tables = $this->valueForKey($attr, 'tables')) === null) {
	$option_tables = $this->valueForKey($options, 'tables', 0);
}
if (($option_waits = $this->valueForKey($attr, 'waits')) === null) {
	$option_waits = $this->valueForKey($options, 'waits', 0);
}
if (($option_htmldesc = $this->valueForKey($attr, 'htmldesc')) === null) {
	$option_htmldesc = $this->valueForKey($options, 'htmldesc', 0);
}
// Title and footer
if (($title = $this->valueForKey($attr, 'title')) === null) {
	$title = $this->formattedParamValue('title') ?: "";
}
if (($footer = $this->valueForKey($attr, 'footer')) === null) {
	$footer = $this->valueForKey($options, 'card_footer', "");
}
// Start table rendering
if ($option_wrapper) {
	echo "<div class=\"cw-wrapper\" style=\"max-width:none;\">" . PHP_EOL;
}
$status = $this->status(true);
?>
<div class="cw-container">
	<?php if ($option_card) : ?>
		<div class="cw-card">
			<?php if (!empty($title)) : ?>
				<div class="cw-card-header">
					<div class="cw-text-center">
						<h1 class="cw-game-title"><?= $title; ?></h1>
					</div>
				</div>
			<?php endif; ?>
			<div class="cw-card-body">
				<?php include CWPATH . "templates/tournament-body.php"; ?>
			</div>
			<div class="cw-card-footer">
				<div class="cw-row">
					<div class="cw-col cw-powered"><?= $footer; ?></div>
					<div class="cw-col cw-text-end cw-powered"><a href="https://casinoware.com" target="_blank" style="color:#212529;">powered by CasinoWare.com</a></div>
				</div>
			</div>
		</div>
	<?php else : ?>
		<?php if (!empty($title)) : ?>
			<div class="cw-text-center">
				<h1 class="cw-game-title"><?= $title; ?></h1>
			</div>
		<?php endif; ?>
		<?php include CWPATH . "templates/tournament-body.php"; ?>
		<div class="cw-text-center cw-powered"><?= $footer; ?></div>
		<div class="cw-text-center cw-powered cw-mt-2">
			<a href="https://casinoware.com" target="_blank">powered by CasinoWare.com</a>
		</div>
	<?php endif; ?>
</div>
<?php
if ($option_wrapper) {
	echo "</div>" . PHP_EOL;
}
?>
<script>
	<?php
	echo "const cw_update_timediff = " . $this->updateTimeDiff()  . ';' . PHP_EOL;
	echo "const cw_tt = " . json_encode($this->params) . ';' . PHP_EOL;
	echo "const cw_tt_levels = " . json_encode($this->levels) . ';' . PHP_EOL;
	?>
</script>